Package com.independentsoft.office.odf.styles

# Class CellStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle
com.independentsoft.office.odf.styles.CellStyle

public class CellStyle extends BaseStyle
Represents the cell styles.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `className, dataStyle, enableAutoUpdate, family, linkedStyleName, listStyle, masterPageName, nextStyle, outlineLevelEmpty, outlineNumberingLevel, parentStyle, styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellStyle()`
  Initializes a new instance of the CellStyle class.
  `CellStyle​(String name)`
  Initializes a new instance of the CellStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CellStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `CellProperties`
  `getCellProperties()`
  Specifies formatting properties for cell.
  `ParagraphProperties`
  `getParagraphProperties()`
  Specifies formatting properties for paragraph.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `toString()`
  Converts the value of the current CellStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `getClassName, getDataStyle, getFamily, getListStyle, getMasterPageName, getNextStyle, getOutlineNumberingLevel, getParentStyle, getStyleMappings, isEnableAutoUpdate, setClassName, setDataStyle, setEnableAutoUpdate, setListStyle, setMasterPageName, setNextStyle, setOutlineNumberingLevel, setParentStyle, toString`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CellStyle

    public CellStyle()
    Initializes a new instance of the CellStyle class.

  - ### CellStyle

    public CellStyle​(String name)
    Initializes a new instance of the CellStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public CellStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `BaseStyle`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current CellStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `BaseStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Specifies formatting properties for paragraph.
    Returns:
      the paragraph properties

  - ### getCellProperties

    public CellProperties getCellProperties()
    Specifies formatting properties for cell.
    Returns:
      the cell properties